Agents
PUT /agents/config
Authorization
JWTKeyAuth Authorization<token>
In: header
Request Body
application/json
Agent config
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/agents/config" \ -H "Content-Type: application/json" \ -d '{ "env_name": "string", "environment_key": "string", "provider_org_id": "string", "webhook_signing_secret": "string" }'{ "configured": true, "id": "string", "organization_id": "string", "provider_environment_id": "string", "provider_org_id": "string", "shared": true, "updated_at": "string", "webhook_url": "string", "workspace_name": "string"}GET /agents/credentials
Previous Page
POST /cloud/integrations
Creates a new cloud integration to connect WarpBuild to your cloud provider account. This enables WarpBuild to provision runner infrastructure in your cloud environment. Supported cloud providers: - **AWS**: Connect via IAM role with cross-account access - **GCP**: Connect via service account with Workload Identity Federation - **Azure**: Connect via service principal with federated credentials